<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.KotlinCodeRangesProcessor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.ClassPathSnippetsLoadedData">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.JupyterCompilerService void resetScriptDefinition()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.NotebookStructureClassTracker NotebookStructureClassTracker(com.intellij.openapi.project.Project, com.intellij.jupyter.core.core.impl.file.BackedNotebookVirtualFile, kotlinx.coroutines.CoroutineScope)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.NotebookScriptingForceUpdateRequestor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.21735.32&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.KotlinImplicitReceiversList void addLast(kotlin.script.experimental.api.KotlinType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.JupyterCompilerPerFileService java.lang.Object handleBeforeCompilingAsync(kotlin.script.experimental.api.ScriptCompilationConfiguration, kotlin.coroutines.Continuation&lt;? super kotlin.script.experimental.api.ScriptCompilationConfiguration&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.ScriptingEntitiesConsistencyVerifier boolean isScriptPathConsistentWithModel(com.intellij.jupyter.core.core.impl.file.BackedNotebookVirtualFile, com.intellij.platform.workspace.storage.url.VirtualFileUrl)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.26094.157&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.NotebookStructureClassTracker">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.JupyterCompilerService">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.ScriptingSupportUpdateScheduler">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.JupyterCompilerService void ensureScriptConfiguration(com.intellij.openapi.project.Project, org.jetbrains.kotlin.psi.KtFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.JupyterCompilerPerFileService JupyterCompilerPerFileService(com.intellij.kotlin.jupyter.core.scriptingSupport.JupyterCompilerService, com.intellij.jupyter.core.core.impl.file.BackedNotebookVirtualFile, java.util.List&lt;? extends java.io.File&gt;, kotlinx.coroutines.CoroutineScope)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.KotlinImplicitReceiversList kotlin.script.experimental.api.KotlinType removeLast()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.NotebookClassesInCellsInfoHandler">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.KotlinImplicitReceiversList void addFirst(kotlin.script.experimental.api.KotlinType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.JupyterCompilerPerFileService.ScriptingSupportEventsProcessor ScriptingSupportEventsProcessor()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.JupyterCompilerPerFileService.ScriptingSupportEventsProcessor void clear()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.NotebookClassesInCellsInfoHandler void changeCellsData(java.util.Collection&lt;java.lang.Integer&gt;, com.intellij.kotlin.jupyter.core.util.NotebookChangeEventType, com.intellij.kotlin.jupyter.core.util.NotebookMoveEvent, java.lang.Integer)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.NotebookClassesInCellsInfoHandler void changeCellsData(java.util.Collection&lt;java.lang.Integer&gt;, com.intellij.kotlin.jupyter.core.scriptingSupport.listeners.NotebookChangeEventsType, com.intellij.kotlin.jupyter.core.scriptingSupport.listeners.NotebookMoveEvent, java.lang.Integer)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.TwoPartsList">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.UtilKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.UtilKt com.intellij.platform.workspace.storage.ImmutableEntityStorage getWorkSpaceSnapshot(com.intellij.openapi.project.Project)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.ScriptingEntitiesConsistencyVerifier">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.ImplicitListsConfigurationUpdater">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.JupyterCompilerPerFileService">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.RestartKotlinNotebookHighlightingAction">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.NotebookStructureTrackerService">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.ImplicitListsConfigurationUpdater java.lang.Object getSnippetsReadyForConfigurationUpdate(kotlin.coroutines.Continuation&lt;? super java.util.List&lt;com.intellij.kotlin.jupyter.core.scriptingSupport.ClassPathSnippetsLoadedData&gt;&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.KotlinImplicitReceiversList kotlin.script.experimental.api.KotlinType removeFirst()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.KotlinImplicitReceiversList">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.JupyterKotlinPluginScriptClassGetter">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.NotebookAfterScriptsUpdatePluginAwareHandler">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.IndexAwareScriptDefinitionsLoadRequestor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.JupyterCompilerService kotlin.script.experimental.api.ResultWithDiagnostics&lt;org.jetbrains.kotlin.scripting.resolve.ScriptCompilationConfigurationWrapper&gt; getDefaultConfiguration(com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.21735.32&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.JupyterCompilerPerFileService.ScriptingSupportEventsProcessor kotlin.script.experimental.api.KotlinType getLastLoadedTypeOrNull()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.CompiledClassifiersDefaultImportsEnhancer">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.JupyterCompilerPerFileService.Companion org.jetbrains.kotlin.scripting.resolve.ScriptCompilationConfigurationWrapper getConfiguration(org.jetbrains.kotlin.psi.KtFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.JupyterCompilerPerFileService void requestScriptingUpdate()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.21735.32&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.JupyterCompilerPerFileService java.lang.Object scriptsAsync(kotlin.coroutines.Continuation&lt;? super java.util.List&lt;? extends kotlin.Pair&lt;? extends com.intellij.openapi.vfs.VirtualFile,? extends org.jetbrains.kotlin.scripting.resolve.ScriptCompilationConfigurationWrapper&gt;&gt;&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.scriptingSupport.ScriptingEntitiesConsistencyVerifier java.lang.Object filterTypesPresentInIndexes(com.intellij.jupyter.core.core.impl.file.BackedNotebookVirtualFile, java.util.Collection&lt;kotlin.script.experimental.api.KotlinType&gt;, kotlin.coroutines.Continuation&lt;? super java.util.Collection&lt;kotlin.script.experimental.api.KotlinType&gt;&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
</root>
